# Class BCF2FieldWriter.SiteWriter

java.lang.Object
htsjdk.variant.variantcontext.writer.BCF2FieldWriter
htsjdk.variant.variantcontext.writer.BCF2FieldWriter.SiteWriter

Direct Known Subclasses:
  `BCF2FieldWriter.GenericSiteWriter`

Enclosing class:
  `BCF2FieldWriter`

public abstract static class BCF2FieldWriter.SiteWriter extends BCF2FieldWriter

Since:
  06/12

## Nested Class Summary

### Nested classes/interfaces inherited from class BCF2FieldWriter

`BCF2FieldWriter.FTGenotypesWriter, BCF2FieldWriter.GenericSiteWriter, BCF2FieldWriter.GenotypesWriter, BCF2FieldWriter.GTWriter, BCF2FieldWriter.IGFGenotypesWriter, BCF2FieldWriter.IntegerTypeGenotypesWriter, BCF2FieldWriter.SiteWriter, BCF2FieldWriter.StaticallyTypeGenotypesWriter`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SiteWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`site(BCF2Encoder encoder, VariantContext vc)`

### Methods inherited from class BCF2FieldWriter

`done, getField, getFieldEncoder, getHeader, start, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SiteWriter

protected SiteWriter(VCFHeader header, BCF2FieldEncoder fieldEncoder)

## Method Details

### site

public abstract void site(BCF2Encoder encoder, VariantContext vc) throws IOException

Throws:
  `IOException`